summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xSEL/baselines/cpu/run.sh6
-rwxr-xr-xSEL/run-paper-strong-full.sh6
-rwxr-xr-xSEL/run-paper-strong-rank.sh6
-rwxr-xr-xSEL/run-paper-weak.sh2
-rwxr-xr-xSpMV/baselines/cpu/run.sh1
-rwxr-xr-xSpMV/run-paper-strong-full.sh4
-rwxr-xr-xSpMV/run-paper-strong-rank.sh4
-rwxr-xr-xSpMV/run-paper-weak.sh3
-rwxr-xr-xTRNS/run-paper-strong-rank.sh6
-rwxr-xr-xTRNS/run-paper-weak.sh2
-rwxr-xr-xTS/baselines/cpu/run.sh2
-rwxr-xr-xTS/run-paper-strong-full.sh4
-rwxr-xr-xTS/run-paper-strong-rank.sh4
-rwxr-xr-xUNI/baselines/cpu/run.sh8
-rwxr-xr-xUNI/run-paper-strong-full.sh4
-rwxr-xr-xUNI/run-paper-strong-rank.sh4
-rwxr-xr-xVA/baselines/cpu/run.sh7
-rwxr-xr-xVA/run-paper-strong-rank.sh4
18 files changed, 44 insertions, 33 deletions
diff --git a/SEL/baselines/cpu/run.sh b/SEL/baselines/cpu/run.sh
index 2683cdc..b87d352 100755
--- a/SEL/baselines/cpu/run.sh
+++ b/SEL/baselines/cpu/run.sh
@@ -15,11 +15,15 @@ echo "Revision $(git describe --always)"
# default: uint64_t; -t 4 -i 1258291200
for nr_threads in 88 64 44 1 2 4 6 8 12 16 20 24 32; do
- for i in 19660800 1258291200 629145600 314572800 157286400 78643200 39321600; do
+ # 1258291200 : default
+ # 251658240 : strong-full
+ # 3932160 : strong-rank
+ for i in 1258291200 251658240 3932160; do
#for dt in uint8_t uint16_t uint32_t uint64_t float double; do
for dt in uint64_t; do
if make -B TYPE=${dt}; then
timeout --foreground -k 1m 60m ./sel -i ${i} -w 0 -e 100 -t ${nr_threads} || true
+ sleep 10
fi
done
done
diff --git a/SEL/run-paper-strong-full.sh b/SEL/run-paper-strong-full.sh
index 2a35e55..35cbbac 100755
--- a/SEL/run-paper-strong-full.sh
+++ b/SEL/run-paper-strong-full.sh
@@ -10,12 +10,12 @@ set -e
(
-echo "prim-benchmarks UNI strong-full (dfatool edition)"
+echo "prim-benchmarks SEL strong-full (dfatool edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-# 2544 is not in upstream
-for nr_dpus in 2544 256 512 1024 2048; do
+# >2048 is not in upstream
+for nr_dpus in 2543 2304 256 512 1024 2048; do
for nr_tasklets in 1 2 4 8 16; do
echo
if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10; then
diff --git a/SEL/run-paper-strong-rank.sh b/SEL/run-paper-strong-rank.sh
index 6cffd65..762d0c3 100755
--- a/SEL/run-paper-strong-rank.sh
+++ b/SEL/run-paper-strong-rank.sh
@@ -10,12 +10,12 @@ set -e
(
-echo "prim-benchmarks UNI strong-rank (dfatool edition)"
+echo "prim-benchmarks SEL strong-rank (dfatool edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-# 256 and 512 are not part of upstream config space
-for nr_dpus in 512 256 1 4 16 64; do
+# >64 are not part of upstream config space
+for nr_dpus in 128 1 4 16 64; do
for nr_tasklets in 1 2 4 8 16; do
echo
if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10; then
diff --git a/SEL/run-paper-weak.sh b/SEL/run-paper-weak.sh
index 5e83c5e..f182fad 100755
--- a/SEL/run-paper-weak.sh
+++ b/SEL/run-paper-weak.sh
@@ -8,7 +8,7 @@ set -e
# -e: number of timed iterations
# -i; ignored, always uses 262144 elements
-echo "prim-benchmarks UNI weak (dfatool edition)"
+echo "prim-benchmarks SEL weak (dfatool edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
diff --git a/SpMV/baselines/cpu/run.sh b/SpMV/baselines/cpu/run.sh
index a993cc0..aed5f0d 100755
--- a/SpMV/baselines/cpu/run.sh
+++ b/SpMV/baselines/cpu/run.sh
@@ -20,6 +20,7 @@ make -B
for i in $(seq 1 50); do
for nr_threads in 88 64 44 1 2 4 6 8 12 16 20 24 32; do
OMP_NUM_THREADS=${nr_threads} timeout --foreground -k 1m 30m ./spmv -f ../../data/bcsstk30.mtx -v 0 || true
+ sleep 10
done
done
) | tee "${HOST}-explore.txt"
diff --git a/SpMV/run-paper-strong-full.sh b/SpMV/run-paper-strong-full.sh
index e4d7260..09b7085 100755
--- a/SpMV/run-paper-strong-full.sh
+++ b/SpMV/run-paper-strong-full.sh
@@ -12,8 +12,8 @@ cd data/generate
./replicate ../bcsstk30.mtx 64 ../bcsstk30.mtx.64.mtx
cd ../..
-# 2544 is not in upstream
-for nr_dpus in 2544 256 512 1024 2048; do
+# >2048 is not in upstream
+for nr_dpus in 2543 2304 256 512 1024 2048; do
for nr_tasklets in 1 2 4 8 16; do
echo
if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} verbose=1; then
diff --git a/SpMV/run-paper-strong-rank.sh b/SpMV/run-paper-strong-rank.sh
index e0cd45d..c73a6a0 100755
--- a/SpMV/run-paper-strong-rank.sh
+++ b/SpMV/run-paper-strong-rank.sh
@@ -8,8 +8,8 @@ echo "prim-benchmarks SpMV strong-rank (dfatool edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-# 256 and 512 are not part of upstream
-for nr_dpus in 256 512 1 4 16 64; do
+# >64 are not part of upstream
+for nr_dpus in 128 1 4 16 64; do
for nr_tasklets in 1 2 4 8 16; do
echo
if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} verbose=1; then
diff --git a/SpMV/run-paper-weak.sh b/SpMV/run-paper-weak.sh
index d2cc0ed..74683cc 100755
--- a/SpMV/run-paper-weak.sh
+++ b/SpMV/run-paper-weak.sh
@@ -8,8 +8,7 @@ echo "prim-benchmarks SpMV weak (dfatool edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-# 256 and 512 are not part of upstream
-for nr_dpus in 256 512 1 4 16 64; do
+for nr_dpus in 1 4 16 64; do
cd data/generate
make
./replicate ../bcsstk30.mtx ${nr_dpus} /tmp/bcsstk30.mtx.${nr_dpus}.mtx
diff --git a/TRNS/run-paper-strong-rank.sh b/TRNS/run-paper-strong-rank.sh
index 205eccb..43ed928 100755
--- a/TRNS/run-paper-strong-rank.sh
+++ b/TRNS/run-paper-strong-rank.sh
@@ -14,13 +14,13 @@ echo "prim-benchmarks BS strong-rank (dfatool edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-# 256 and 512 are not part of upstream
-for nr_dpus in 512 256 1 4 16 64; do
+# >64 are not part of upstream
+for nr_dpus in 128 1 4 16 64; do
for nr_tasklets in 1 2 4 8 16; do
echo
if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets}; then
# upstream uses -p 64, but then the number of DPUs is always constant...
- timeout --foreground -k 1m 60m bin/host_code -w 0 -e 100 -p $nr_dpus -o 12288 -x 1 || true
+ timeout --foreground -k 1m 60m bin/host_code -w 0 -e 40 -p $nr_dpus -o 12288 -x 1 || true
fi
done
done
diff --git a/TRNS/run-paper-weak.sh b/TRNS/run-paper-weak.sh
index 0840260..4d15543 100755
--- a/TRNS/run-paper-weak.sh
+++ b/TRNS/run-paper-weak.sh
@@ -17,7 +17,7 @@ for nr_dpus in 256 512 1 4 16 64; do
for nr_tasklets in 1 2 4 8 16; do
echo
if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets}; then
- timeout --foreground -k 1m 30m bin/bs_host -w 0 -e 100 -p 1 -o 12288 -x 0 || true
+ timeout --foreground -k 1m 60m bin/bs_host -w 0 -e 100 -p 1 -o 12288 -x 0 || true
fi
done
done | tee log-paper-weak.txt
diff --git a/TS/baselines/cpu/run.sh b/TS/baselines/cpu/run.sh
index f69f63f..aacce32 100755
--- a/TS/baselines/cpu/run.sh
+++ b/TS/baselines/cpu/run.sh
@@ -13,11 +13,13 @@ echo "Started at $(date)"
echo "Revision $(git describe --always)"
# input size depends on file -> strong scaling only
+# arguments taken from README / launch.sh
make -B
for i in $(seq 1 10); do
for nr_threads in 88 64 44 1 2 4 6 8 12 16 20 24 32; do
OMP_NUM_THREADS=${nr_threads} timeout --foreground -k 1m 60m ./streamp_openmp inputs/randomlist33M.txt 256 || true
+ sleep 10
done
done
) | tee "${HOST}-explore.txt"
diff --git a/TS/run-paper-strong-full.sh b/TS/run-paper-strong-full.sh
index f1829c1..bb87a93 100755
--- a/TS/run-paper-strong-full.sh
+++ b/TS/run-paper-strong-full.sh
@@ -14,8 +14,8 @@ echo "prim-benchmarks TS strong-full (dfatool edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-# 2544 is not part of upstream
-for nr_dpus in 2544 256 512 1024 2048; do
+# >2048 is not part of upstream
+for nr_dpus in 2543 2304 256 512 1024 2048; do
for nr_tasklets in 1 2 4 8 16; do
echo
# upstream code did not respect $BL in the makefile and used 256B (BL=8) instead.
diff --git a/TS/run-paper-strong-rank.sh b/TS/run-paper-strong-rank.sh
index 72cbff0..58ad641 100755
--- a/TS/run-paper-strong-rank.sh
+++ b/TS/run-paper-strong-rank.sh
@@ -14,8 +14,8 @@ echo "prim-benchmarks TS strong-rank (dfatool edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-# 256 and 512 are not part of upstream config space
-for nr_dpus in 512 256 1 4 16 64; do
+# >64 are not part of upstream config space
+for nr_dpus in 128 1 4 16 64; do
for nr_tasklets in 1 2 4 8 16; do
echo
# upstream code did not respect $BL in the makefile and used 256B (BL=8) instead.
diff --git a/UNI/baselines/cpu/run.sh b/UNI/baselines/cpu/run.sh
index 0f376df..8bfa629 100755
--- a/UNI/baselines/cpu/run.sh
+++ b/UNI/baselines/cpu/run.sh
@@ -15,11 +15,15 @@ echo "Revision $(git describe --always)"
# default: int64_t; -t 4 -i 1258291200
for nr_threads in 88 64 44 1 2 4 6 8 12 16 20 24 32; do
- for i in 19660800 1258291200 629145600 314572800 157286400 78643200 39321600; do
+ # 1258291200 : default
+ # 251658240 : strong-full
+ # 3932160 : strong-rank
+ for i in 1258291200 251658240 3932160; do
#for dt in int8_t int16_t int32_t int64_t float double; do
for dt in int64_t; do
if make -B TYPE=${dt}; then
- timeout --foreground -k 1m 60m ./uni -i ${i} -w 0 -e 100 -t ${nr_threads} || true
+ timeout --foreground -k 1m 60m ./uni -i ${i} -w 0 -e 50 -t ${nr_threads} || true
+ sleep 10
fi
done
done
diff --git a/UNI/run-paper-strong-full.sh b/UNI/run-paper-strong-full.sh
index a9f3597..ff67e39 100755
--- a/UNI/run-paper-strong-full.sh
+++ b/UNI/run-paper-strong-full.sh
@@ -14,8 +14,8 @@ echo "prim-benchmarks UNI strong-full (dfatool edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-# 2544 is not part of upstream
-for nr_dpus in 2544 256 512 1024 2048; do
+# >2048 is not part of upstream
+for nr_dpus in 2543 2304 256 512 1024 2048; do
for nr_tasklets in 1 2 4 8 16; do
echo
if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10; then
diff --git a/UNI/run-paper-strong-rank.sh b/UNI/run-paper-strong-rank.sh
index 6cffd65..7ddb868 100755
--- a/UNI/run-paper-strong-rank.sh
+++ b/UNI/run-paper-strong-rank.sh
@@ -14,8 +14,8 @@ echo "prim-benchmarks UNI strong-rank (dfatool edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-# 256 and 512 are not part of upstream config space
-for nr_dpus in 512 256 1 4 16 64; do
+# >64 are not part of upstream config space
+for nr_dpus in 128 1 4 16 64; do
for nr_tasklets in 1 2 4 8 16; do
echo
if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10; then
diff --git a/VA/baselines/cpu/run.sh b/VA/baselines/cpu/run.sh
index 1b3d1e0..dffc9f9 100755
--- a/VA/baselines/cpu/run.sh
+++ b/VA/baselines/cpu/run.sh
@@ -17,14 +17,15 @@ echo "Revision $(git describe --always)"
# default type: int32_t
for nr_threads in 88 64 44 1 2 4 6 8 12 16 20 24 32; do
- for i in 16777216 8388608 4194304 33554432 67108864; do
+ #for i in 16777216 8388608 4194304 33554432 67108864; do
#for dt in int8_t int16_t int32_t int64_t float double; do
for dt in int32_t; do
if make -B TYPE=${dt}; then
# -w 1 to make sure that target array (C) is allocated
- timeout -k 1m 30m ./va -i ${i} -w 1 -e 100 -t ${nr_threads} -x 1 || true
+ timeout -k 1m 30m ./va -w 1 -e 100 -t ${nr_threads} -x 1 || true
+ sleep 10
fi
done
- done
+ #done
done
) | tee "${HOST}-explore.txt"
diff --git a/VA/run-paper-strong-rank.sh b/VA/run-paper-strong-rank.sh
index 6ecaac4..a2e0bcf 100755
--- a/VA/run-paper-strong-rank.sh
+++ b/VA/run-paper-strong-rank.sh
@@ -14,8 +14,8 @@ echo "prim-benchmarks VA strong-rank (dfatool edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-# 256 and 512 are not part of upstream config space
-for nr_dpus in 512 256 1 4 16 64; do
+# >64 are not part of upstream config space
+for nr_dpus in 128 1 4 16 64; do
for nr_tasklets in 1 2 4 8 16; do
echo
if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 verbose=1; then